Scientific Linux Security Update : git on SL7.x x86_64

High Nessus Plugin ID 87582


The remote Scientific Linux host is missing one or more security updates.


A flaw was found in the way the git-remote-ext helper processed certain URLs. If a user had Git configured to automatically clone submodules from untrusted repositories, an attacker could inject commands into the URL of a submodule, allowing them to execute arbitrary code on the user's system.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 87582

File Name: sl_20151208_git_on_SL7_x.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2015/12/22

Modified: 2015/12/22

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/12/08